Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


Just to confirm - doesn't work on 10.4?

1
Comment below rating threshold, click here to show it.

Meister

Senior Member

10-03-2010

I tried this on 10.4.11, but the Downloader just crashes as soon as it starts. I assume 10.4 is not supported?


Comment below rating threshold, click here to show it.

SnakeG

Senior Member

10-03-2010

Have you installed Adobe AIR?

I'd imagine it wouldn't work on 10.4, but it may.


Comment below rating threshold, click here to show it.

Meister

Senior Member

10-03-2010

Yes, I installed Adobe AIR.


Comment below rating threshold, click here to show it.

Udyr

Recruiter

10-06-2010

10.4 is not supported.


1